NX Open C++ Reference Guide
|
Represents a collection of PointOnCurve Joint. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Mechatronics::PointOnCurveJointBuilder * | CreatePointOnCurveJointBuilder (NXOpen::Mechatronics::PointOnCurveJoint *joint) |
Creates a Mechatronics::PointOnCurveJointBuilder . | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
NXOpen::Mechatronics::PointOnCurveJoint * | FindObject (const NXString &name) |
Finds the Mechatronics::PointOnCurveJoint with the given name. | |
NXOpen::Mechatronics::PointOnCurveJoint * | FindObject (const char *name) |
Finds the Mechatronics::PointOnCurveJoint with the given name. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of PointOnCurve Joint.
To obtain an instance of this class, refer to Mechatronics::PhysicsManager
Created in NX9.0.0.
iterator NXOpen::Mechatronics::PointOnCurveJointCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Mechatronics::PointOnCurveJointBuilder* NXOpen::Mechatronics::PointOnCurveJointCollection::CreatePointOnCurveJointBuilder | ( | NXOpen::Mechatronics::PointOnCurveJoint * | joint | ) |
Creates a Mechatronics::PointOnCurveJointBuilder .
joint | Mechatronics::PointOnCurveJoint to be edited, if NULL then create a new one |
iterator NXOpen::Mechatronics::PointOnCurveJointCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Mechatronics::PointOnCurveJoint* NXOpen::Mechatronics::PointOnCurveJointCollection::FindObject | ( | const NXString & | name | ) |
Finds the Mechatronics::PointOnCurveJoint with the given name.
An exception will be thrown if no object can be found with given name. @return @link Mechatronics::PointOnCurveJoint Mechatronics::PointOnCurveJoint @endlink with this name.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | The name of the Mechatronics::PointOnCurveJoint . |
NXOpen::Mechatronics::PointOnCurveJoint* NXOpen::Mechatronics::PointOnCurveJointCollection::FindObject | ( | const char * | name | ) |
Finds the Mechatronics::PointOnCurveJoint with the given name.
An exception will be thrown if no object can be found with given name. @return @link Mechatronics::PointOnCurveJoint Mechatronics::PointOnCurveJoint @endlink with this name.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | The name of the Mechatronics::PointOnCurveJoint . |
tag_t NXOpen::Mechatronics::PointOnCurveJointCollection::Tag | ( | ) | const |
Returns the tag of this object.